summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/tamsyn-font/README6
-rw-r--r--system/tamsyn-font/doinst.sh3
-rw-r--r--system/tamsyn-font/slack-desc19
-rw-r--r--system/tamsyn-font/tamsyn-font.SlackBuild51
-rw-r--r--system/tamsyn-font/tamsyn-font.info10
5 files changed, 89 insertions, 0 deletions
diff --git a/system/tamsyn-font/README b/system/tamsyn-font/README
new file mode 100644
index 0000000000..358b030a0f
--- /dev/null
+++ b/system/tamsyn-font/README
@@ -0,0 +1,6 @@
+A monospace bitmap font designed for programmers. Unlike most other
+monospace fonts, the arithmetic operators are centered half-height,
+the braces and brackets are aligned in the middle and zero and big o
+as well as one, lowercase L and uppercase i are easily distinguishable.
+
+This package contains versions for X11 and the Linux framebuffer.
diff --git a/system/tamsyn-font/doinst.sh b/system/tamsyn-font/doinst.sh
new file mode 100644
index 0000000000..0eca8728f1
--- /dev/null
+++ b/system/tamsyn-font/doinst.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+( cd usr/share/fonts/misc; mkfontscale; mkfontdir )
diff --git a/system/tamsyn-font/slack-desc b/system/tamsyn-font/slack-desc
new file mode 100644
index 0000000000..682c6bb2eb
--- /dev/null
+++ b/system/tamsyn-font/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tamsyn-font: tamsyn-font: (A monospace bitmap font designed for programmers)
+tamsyn-font:
+tamsyn-font: Unlike most other monospace fonts, the arithmetic operators are
+tamsyn-font: centered half-height, the braces and brackets are aligned in the
+tamsyn-font: middle and zero and big o as well as one, lowercase L and uppercase
+tamsyn-font: i are easily distinguishable.
+tamsyn-font:
+tamsyn-font: This package contains versions for X11 and the Linux framebuffer.
+tamsyn-font: Tamsyn was designed by Scott Fial.
+tamsyn-font:
+tamsyn-font: Homepage: http://www.fial.com/~scott/tamsyn-font/
diff --git a/system/tamsyn-font/tamsyn-font.SlackBuild b/system/tamsyn-font/tamsyn-font.SlackBuild
new file mode 100644
index 0000000000..bf97ce02fc
--- /dev/null
+++ b/system/tamsyn-font/tamsyn-font.SlackBuild
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+# Slackware package build script for proggyfonts
+
+# Written by Moritz Wilhelmy, moritz plus slackware at wzff dot de
+#
+# Redistribution and use with or without modification are permitted.
+# There is ABSOLUTELY NO WARRANTY, express or implied.
+
+PRGNAM=tamsyn-font
+VERSION=${VERSION:-1.10}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=${ARCH:-noarch}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+install -d $PKG/usr/share/fonts/misc $PKG/usr/share/kbd/consolefonts
+gzip -9 *.pcf
+cp *.pcf.gz $PKG/usr/share/fonts/misc
+cp *.psf.gz $PKG/usr/share/kbd/consolefonts
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/tamsyn-font/tamsyn-font.info b/system/tamsyn-font/tamsyn-font.info
new file mode 100644
index 0000000000..80f8fcfe39
--- /dev/null
+++ b/system/tamsyn-font/tamsyn-font.info
@@ -0,0 +1,10 @@
+PRGNAM="tamsyn-font"
+VERSION="1.10"
+HOMEPAGE="http://www.fial.com/~scott/tamsyn-font/"
+DOWNLOAD="http://www.fial.com/~scott/tamsyn-font/download/tamsyn-font-1.10.tar.gz"
+MD5SUM="92afa4633a1afd8c54e426681ffd465e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Gerardo Zamudio"
+EMAIL="gerardo@gerardozamudio.net"